Bug 534021 - Review Request: apache-ivy - Java-based dependency manager
Summary: Review Request: apache-ivy - Java-based dependency manager
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: F13FeatureIDEA
Keywords:
Depends On:
Blocks: 534168
TreeView+ depends on / blocked
 
Reported: 2009-11-10 06:43 UTC by Lubomir Rintel
Modified: 2009-12-30 12:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-09 18:22:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jochen: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Lubomir Rintel 2009-11-10 06:43:07 UTC
SPEC: http://v3.sk/~lkundrak/SPECS/apache-ivy.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/apache-ivy-2.1.0-1.fc12.src.rpm
scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1797332

Description:

Apache Ivy is a tool for managing (recording, tracking, resolving and
reporting) project dependencies.  It is designed as process agnostic and is
not tied to any methodology or structure. while available as a standalone
tool, Apache Ivy works particularly well with Apache Ant providing a number
of powerful Ant tasks ranging from dependency resolution to dependency
reporting and publication.

Comment 1 Jochen Schmitt 2009-11-11 21:55:59 UTC
Good:
+ Name fullfill naming guidelines
+ URL tags shows on proper project homepage
+ Consistently usage of rpm macros
+ Package contains most recent release of the software
+ License tag exclaim ASL 2.0 as valid OSS license
+ Package contains verbatin copy of the license text
+ Copyright notes on source files headers maches with license tag
+ Package contains several subpackages
+ Requires on the subpackages are ok
+ Could download upstream source via spectool -g
+ Package tar ball matches with upstram
(md5sum: 49130a0c8beb74d77653e5)
+ Package will be built for nonarch
+ Package has proper Builtroot defintion
+ Local build works fine
+ Buildroot will cleaned at the beginning of %clean and %install
+ Rpmlint is quite on source package
+ Rpmlint is quite on binary package
+ Rpmlint is quite on javadoc package
+ Local install/uninstall works fine
+ Javadoc documentation is stroed in a separate subpackage
+ Files has proper file permissions
+ All files belong to the package
+ No duplicated entries in the %files stanza
+ No files of the package belong to another package
+ file system sructure matches with java guidelines
+ Main package has a small %doc stanza
+ Package has proper %changelog

** APPROVED **

Comment 2 Lubomir Rintel 2009-11-12 10:15:28 UTC
Thank you Jochen!

New Package CVS Request
=======================
Package Name: apache-ivy
Short Description: Java-based dependency manager
Owners: lkundrak
Branches: F-12 EL-5

Comment 3 Jason Tibbitts 2009-11-13 19:30:03 UTC
CVS done.

Comment 4 Jochen Schmitt 2009-12-09 17:36:22 UTC
Please close this bug, if you have built the package for rawhide.

Comment 5 Lubomir Rintel 2009-12-09 18:22:36 UTC
This was indeed imported and built. Closing.

Comment 6 Orion Poplawski 2009-12-29 18:08:10 UTC
Can we get the F-12 build pushed out as an update?  Thanks...

Comment 7 Lubomir Rintel 2009-12-30 12:51:57 UTC
Orion: done. By the way, if you need that package, I'd appreciate if you added yourself as a comaintainer. Thanks :)


Note You need to log in before you can comment on or make changes to this bug.